import { RevertableEvent } from "@skeldjs/events";
import { RepairSystemMessage } from "@skeldjs/protocol";
import { Hostable } from "../../Hostable";
import { PlayerData } from "../../PlayerData";
import { AnySystem } from "../../systems/events";
import { ProtocolEvent } from "../ProtocolEvent";
import { RoomEvent } from "../RoomEvent";
import { SystemEvent } from "./SystemEvent";
/**
 * Emitted when a player fully repairs a system.
 */
export declare class SystemRepairEvent<RoomType extends Hostable = Hostable> extends RevertableEvent implements RoomEvent, SystemEvent, ProtocolEvent {
    readonly room: RoomType;
    readonly system: AnySystem<RoomType>;
    readonly message: RepairSystemMessage | undefined;
    readonly player?: PlayerData<RoomType> | undefined;
    static eventName: "system.repair";
    eventName: "system.repair";
    constructor(room: RoomType, system: AnySystem<RoomType>, message: RepairSystemMessage | undefined, player?: PlayerData<RoomType> | undefined);
}
//# sourceMappingURL=Repair.d.ts.map